//  DATECONV.H
//  Header file for date function library.
//  Last mod.: 1996-08-27


#ifndef __DATECONV_H__
#define __DATECONV_H__

#define TRUE  1
#define FALSE 0

#define JG_DIFF 2299161L
//  Number of days from -4712-01-01 J to 1582-10-15 G.

//	General date structure


typedef struct
      {
      int calendar;     //  'G', 'J', 'L', etc.
      int day;
      int month;
      long year;        //  May be negative.
      long jdn;         //  Julian day number
      long gdn;         //  Used by European date functions
      int valid;
      } Date;

//  Declarations of non-static functions defined in DATECONV.C

int euro_day_of_week(long jdn);
int is_euro_leap_year(long year, char calendar);
void jdn_to_euro_date(Date *dt);
void euro_date_to_jdn(Date *dt);
unsigned char *date_to_iso_date(Date *dt, unsigned char *str,
    int add_calendar, unsigned int length);
long iso_date_to_date(unsigned char *str, Date *dt);
void separate_thousands(char *in, char *out, char ch);


#endif /* __DATECONV_H__ */
