/*
 * Gregorian to Jusanotoron calendar converter
 *
 * (k) 1999 by Andrew Ziem <ziem@iex.net>
 * http://chesire.freeservers.com
 *
 * There are no warranties, expressed or implied.  Use at your own
 * risk!  =)
 *
 */


#include "jusano.h"

void jusanotoron_date(YEAR gyear, unsigned int gyday, signed int *jyear, unsigned int *jyday)
{
    /* our cute little epoch */
    *jyear = gyear + 585 + 1;

    /* year begins May 28th each and every year */
    if (gyday >= 148 && gyday <= 366)
    {
	  *jyday = gyday - 147;
    }
    else
    {
	  *jyear -= 1;
	  if (isleap(gyear))
		*jyday = 366 - gyday;
	  else
		*jyday = 365 - gyday;
    }

    if (jyear >= 0)
	  *jyear -= 1;

}



/*
 * ltostr() by Jerry Coffin
 * modified by Psych0 use only base 26 (A through Z)
 */

char *lstr(long num, char *string, int max_chars)
{
    char remainder;
    int sign = 0;			  /* number of digits occupied by the sign */


    if (num < 0)
    {
	  sign = 1;
	  num = -num;
    }

    --max_chars;
    string[max_chars] = NUL;

    for (max_chars--; max_chars > sign && num != 0; max_chars--)
    {
	  remainder = (char) (num % BASE_LTOSTR);
	  string[max_chars] = remainder + 'A' - 1;
	  num /= BASE_LTOSTR;
    }

    if (sign)
	  string[--max_chars] = '-';

    if (max_chars > 0)
          memset(string, ' ', max_chars + 1);

    return (char *) string + max_chars;
}					  /* lstr() */
