#ifndef __MAYA_H__
#define __MAYA_H__


/* -- includes ------------------------------------------------------- */

#include <string.h>


/* -- structures ----------------------------------------------------- */

typedef unsigned long UINT32;

typedef struct
{
    int baktun;			  /* 1 to 13, 144000 days */
    int katun;			  /* 0 to 19, 7200 days */
    int tun;			  /* 0 to 19, 360 days */
    int unial;			  /* 0 to 17, 20 days */
    int kin;			  /* 0 to 19, each one day */
}
MAYALONGCOUNT;


/* -- definitions ---------------------------------------------------- */

//#define MAYA_FIRST_JDN    584285        /* one of several believed dates */
#define MAYA_FIRST_JDN    584283          /* used by WHEN.EXE */
#define MAYA_FULL_ERA     13 * 144000


/* -- prototypes ----------------------------------------------------- */

extern char *MayaTzolkinDays[];
extern char *MayaHaabMonths[];

extern char *SdnToMayaLongcountStr(UINT32 JDN, char *retstr);
extern int SdnToTzolkin13(UINT32 JDN);
extern int SdnToTzolkin20(UINT32 JDN);
extern void SdnToHaab(UINT32 JDN, int *pMonth, int *pDay);



#endif /* __MAYA_H__ */
