/*
 * Gregorian to POEE calendar converter
 *
 * (k) 1997, 1998, 1999 by Andrew Ziem <ziem@iex.net>
 * http://chesire.freeservers.com
 *
 * There are no warranties, expressed or implied.  Use at your own
 * risk.  =)
 *
 */


/*


 * REFERENCES
 *
 *   Principia Discordia, Malaclypse the Younger
 *
 */

#include "poee.h"




/*
 * Return: POEE day of year (1-366).  Simply subtract one if after the it's
 * St. Tibb's Day.
 *
 * Phhft: DAYNUM.C seems to already subtract one day; if it didnt, this
 * would serve some purpose.
 *
 */

unsigned int poee_dayyear(unsigned int iday)
{
    return iday;
}




/*
 * returns: POEE day of week (0-5, 0 = Sweetmorn)
 *
 */

unsigned int poee_dayweek(unsigned int daynumber)
{
    unsigned int joe;

    joe = poee_dayyear(daynumber) % 5L;
    return (joe ? joe : 5);

}


/*
 * returns: POEE day of season (1-73).
 *
 */

unsigned int poee_dayseason(unsigned int daynumber, YEAR year)
{
    unsigned int joe, sue;

    joe = poee_dayyear(daynumber);
    if (daynumber > 60 && isleap(year))
	  sue = (joe - 1) % 73L;
    else
	  sue = joe % 73L;

    if (0 == sue)
	  return 73;
    else
	  return sue;

}


/*
 * returns: POEE calendar season (0-4, 0=Chaos).
 *
 */

unsigned int poee_season(unsigned int daynumber, YEAR year)
{

    return ((poee_dayyear(daynumber) / 73) - (poee_dayseason(daynumber, year) == 73 ? 1 : 0));

}
