/*
 *  Chesiresoft Calendar-Almanac
 *  (K) 1997, 1998, 1999 by Andrew Ziem <ziem@iex.net>
 *  http://chesire.freeservers.com
 *
 *
 */

#include "data.h"


/* --- variables ----------------------------------------------------- */

OPTS opts =
{1,
 1, 1,
 1, 1, 1, 1, 1,
 1, 1, 1, 1, 1, 0,
 1, 1, 1};

MOPTS mopts =
{0, 0};

GREG greg;

int ListEvents;
int events;
int CompareResult;


/* --- string things ------------------------------------------------- */

char *gregorian_days[7] =
{"Sunday",
 "Monday",
 "Tuesday",
 "Wednesday",
 "Thursday",
 "Friday",
 "Saturday"
};

char *gregorian_months[] =
{"January",				  /* 1 */
 "February",			  /* 2 */
 "March",				  /* 3 */
 "April",				  /* 4 */
 "May",				  /* 5 */
 "June",				  /* 6 */
 "July",				  /* 7 */
 "August",				  /* 8 */
 "September",
 "October",				  /* 10 */
 "November",
 "December"
};


char *poee_seasons[] =
{"Chaos",
 "Discord",
 "Confusion",
 "Bureaucracy",
 "The Aftermath"
};

char *poee_days[] =
{"Sweetmorn",
 "Boomtime",
 "Pungenday",
 "Prickle-Prickle",
 "Setting Orange"
};

char *ill_seasons[] =
{"Verwirrung",
 "Zweitracht",
 "Unordnung",
 "Beamtennherrschaft",
 "Realpolitik"
};

char *glc_months[26] =
{"Artemis",
 "Bast",
 "Cybele",
 "Durga",
 "Eris",
 "Freya",
 "Gaea",
 "Hathor",
 "Ix Chel",
 "Juno",
 "Kali",
 "Luna",
 "Maat",
 "Nisaba",
 "Oya",
 "Persephone",
 "Quan Yin",
 "Rhiannon",
 "Saraswati",
 "Tara",
 "Usha",
 "Venus",
 "Waka-Hiru-Me",
 "Xochiquetzal",
 "Yemaya"
};

char *gue_months[12] =
{"Estuary",
 "Frobuary",
 "Arch",
 "Oracle",
 "Mage",
 "Jam",
 "Jelly",
 "Augur",
 "Suspendur",
 "Ottobur",
 "Mumberbur",
 "Dismembur"
};

char *gue_days[7] =
{"Sand Day",
 "Mud Day",
 "Grues Day",
 "Wands Day",
 "Birthday",
 "Frob Day",
 "Star Day"
};

char *moons[12] =
/* http://www.witchesweb.com/days.html */
{"Wolf Moon",			  /* Jan */
 "Ice Moon",
 "Storm Moon",
 "Growing Moon",
 "Hare Moon",
 "Mead Moon",
 "Hay Moon",
 "Corn Moon",
 "Harvest Moon",
 "Blood Moon",
 "Snow Moon",			  /* Nov */
 "Cold Moon"
};


/* (The second e in Vendemiaire and the e in Floreal carry an acute
   accent. The o's in Nivose, Pluviose, and Ventose carry a circumflex
   accent.) -- CALENDAR.FAQ */

/* from Scott Lee */
char *FrenchMonthName[14] =
{"",
 "Vendemiaire",
 "Brumaire",
 "Frimaire",
 "Nivose",
 "Pluviose",
 "Ventose",
 "Germinal",
 "Floreal",
 "Prairial",
 "Messidor",
 "Thermidor",
 "Fructidor",
 "Extra"
};


char *FrenchWeekDays[] =
{"",
 "Primidi",
 "Duodi",
 "Tridi",
 "Quartidi",
 "Quintidi",
 "Sextidi",
 "Septidi",
 "Octidi",
 "Nonidi",
 "Decadi"
};



/* from DAYNUM.C */
char *MoonPhaseText[8] =
{"new",
 "waxing crescent",
 "first quarter",
 "waxing gibbous",
 "full",
 "waning gibbous",
 "third quarter",
 "waning crescent"
};


#ifdef NOTUSED
char *moon_text[] =
{"new",				  /* totally dark                         */
 "waxing crescent",		  /* increasing to full & quarter light   */
 "first quarter",			  /* increasing to full & half light      */
 "waxing gibbous",		  /* increasing to full & > than half     */
 "full",				  /* fully lighted                        */
 "waning gibbous",		  /* decreasing from full & > than half   */
 "last quarter",			  /* decreasing from full & half light    */
 "waning crescent"		  /* decreasing from full & quarter light */
};

char *astrosigns[] =
{"Aries",				  /* March 21- April 19 */
 "Taurus",				  /* April 20- May 20 */
 "Gemini",				  /* May 21- June 20 */
 "Cancer",				  /* June 21- July 22 */
 "Leo",				  /* July 23- August 22 */
 "Virgo",				  /* Aug 23- Sept 22 */
 "Libra",				  /* Sept 23- Oct 22 */
 "Scorpio",				  /* Oct 23- Nov 21 */
 "Sagittarius",			  /* Nov 22- Dec 21 */
 "Capricorn",			  /* Dec 22- Jan 19 */
 "Aquarius",			  /* Jan 20- Feb 18 */
 "Pisces"				  /* Feb 19- March 20 */
};

char *astro_days[7] =
{"Sun's Day",
 "Moon's Day",
 "Mars's Day",
 "Mercury's Day",
 "Jupiter's Day",
 "Venus's Day",
 "Saturn's Day"
};

char *pantheon_days[7] =
{"Sun's Day",
 "Moon's Day",
 "Tiw's Day",
 "Woden's Day",
 "Thor's Day",
 "Frigg's Day",
 "Saturn's Day"
};

char *dias_espanoles[7] =
{"Domingo"
 "Lunes"
 "Martes"
 "Miercols"			  /* accented 'e' #130 in DOS */
 "Jueves"
 "Viernes"
 "Sbado"				  /* accented 'a' #160 in DOS */
};

char *meses_espanoles[12] =
{"Enero",
 "Febrero",
 "Marzo",
 "Abril",
 "Junio",
 "Julio",
 "Augusto",
 "Septiembre",
 "Octubre",
 "Noviembre"
 "Deciembre"
};


char *german_days[7] =
{"Sonntag",
 "Muintag",
 "Tiustag",
 "Wotanstag",
 "Thunarrstag",
 "Freyjastag",
 "Saturday"				  /* ? */
};


/* aeger, aeger, aeger!  :/ */

char *latin_months[12] =
{"Januarius",
 "Februarius",
 "Martius",
 "Aprilis",
 "Junius",
 "Julius",
 "Augustus",
 "September",
 "October",
 "November",
 "December",
}

#endif
